Class | Bio::PhyloXML::Id
In: | lib/bio/db/phyloxml/phyloxml_elements.rb
Parent: | Object

### Methods

to_xml

### Attributes

provider | [RW] | The provider of Id, for example, NCBI.
value | [RW] | The value of Id.

### Public Instance methods

to_xml()

Converts elements to xml representation. Called by PhyloXML::Writer class.

[Source]

         # File lib/bio/db/phyloxml/phyloxml_elements.rb, line 739
    739:       def to_xml
    740:         xml_node = LibXML::XML::Node.new('id', @value)
    741:         xml_node["provider"] = @provider if @provider != nil
    742:         return xml_node
    743:       end

[Validate]